> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fulfill expired events

> Fulfill expired events that were not marked as fulfilled. This endpoint enqueues up to 500 events per call to be processed in the background. Note that events may fail due to expired rewards or insufficient wallet balance at the time of re-processing them. Failed events can be reviewed in the Cron Jobs tab of your account settings to identify the specific event IDs that encountered issues.



## OpenAPI

````yaml POST /customers/fulfill_expired_events
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /customers/fulfill_expired_events:
    post:
      description: >-
        Fulfill expired events that were not marked as fulfilled. This endpoint
        enqueues up to 500 events per call to be processed in the background.
        Note that events may fail due to expired rewards or insufficient wallet
        balance at the time of re-processing them. Failed events can be reviewed
        in the Cron Jobs tab of your account settings to identify the specific
        event IDs that encountered issues.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - start_date
                - end_date
              properties:
                start_date:
                  type: string
                  format: date-time
                  description: >-
                    The start date to filter expired events by their original
                    issue date. Must be within 1 year of end_date
                end_date:
                  type: string
                  format: date-time
                  description: >-
                    The end date to filter expired events by their original
                    issue date. Must be within 1 year of start_date. Events will
                    be processed in batches of 500
            example: {}
        required: true
      responses:
        '200':
          description: Events enqueued successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 1 event(s) have been queued for fulfillment
                  details:
                    type: string
                    example: Events will be processed in the background
        '422':
          description: Invalid transaction entry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````